import {
  callOrNA,
  csvFileSize,
  csvRows,
  csvColumns,
  csvColumnItems,
} from './csvUtils';

export const Summary = ({ data, csvUrl }) => {
  return (
    <div className="section summary-container">
      <div>
        <h2>Source URL</h2>
        <p>{csvUrl}</p>
        <h2>Size</h2>
        <p>{callOrNA(data, csvFileSize)}</p>
        <h2>Dimensions</h2>
        <p>{callOrNA(data, csvRows) + ', ' + callOrNA(data, csvColumns)}</p>
      </div>
      <div>
        <h2>Column Names</h2>
        <ul>{callOrNA(data, csvColumnItems)}</ul>
      </div>
    </div>
  );
};
