import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import d3 from 'd3';


import { Summary } from './Summary'

export const csvUrl =
  'https://raw.githubusercontent.com/waseem-medhat/eda_r/master/indian_liver_patient.csv';

const App = () => {
  const [data, setData] = useState(null);
  useEffect(() => d3.csv(csvUrl).then(setData), []);

  return (
    <div className="app-container">
      <Summary data={data} csvUrl={csvUrl}/>
    </div>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
